GNU bug report logs - #41791
[Shepherd] loses track of Tor

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: Tobias Geerinckx-Rice <me@HIDDEN>; dated Wed, 10 Jun 2020 15:21:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 41791 <at> debbugs.gnu.org:


Received: (at 41791) by debbugs.gnu.org; 28 Nov 2021 12:40:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 28 07:40:27 2021
Received: from localhost ([127.0.0.1]:35086 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mrJTn-0001Wf-Fx
	for submit <at> debbugs.gnu.org; Sun, 28 Nov 2021 07:40:27 -0500
Received: from tobias.gr ([80.241.217.52]:45760)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1mrJTl-0001WX-Q8
 for 41791 <at> debbugs.gnu.org; Sun, 28 Nov 2021 07:40:26 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=8JMkM16wXntjw
 sh8B+gJK0Jxh/d7SLSHl4yeF0CecAA=; h=date:subject:cc:to:from;
 d=tobias.gr; b=ohE66uLP0GlNKTpxaKPc5nQw/IX+QhdS9+Pb4ihG27omW31qPIoBRFE
 ligEBq5601vMzp+OuE3PsnZbSl64I03R5YQkLGwP6IJlPZ+y/MK3z4DAHA97TlFvnR65Yx
 dwDf9dztwJOlGtXS/ZMBVWkRIm+1H6R4x3ypLiw8SluQE8KUHnoERDQ/zrWaJXJVdQ/Adf
 Z+5dod5M6WEMP6GA4Ov/i16MYPn25n2ghMdIBBtYhn+rTdZ0QFtfW1QHzhKnk0uLKQm7eU
 uhc1PLwlLooqBjjxIf+mqQefNPnf5850Tg8ofl78oXcTswK7TtiX90ZTEpalKjBvVM/ApG
 l9KsCRw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id c09a2c23
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Sun, 28 Nov 2021 12:40:22 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: 41791 <at> debbugs.gnu.org
Subject: [Shepherd] loses track of Tor
Date: Sun, 28 Nov 2021 13:39:11 +0100
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87lf18a1w7.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 41791
Cc: Caleb Herbert <csh@HIDDEN>,
 Wiktor =?utf-8?Q?=C5=BBelazny?= <wz@HIDDEN>,
 Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; format=flowed

All,

Unfortunately, this bug seems to have recropped up: 
<https://lists.gnu.org/archive/html/help-guix/2021-11/msg00126.html>.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYaN46A0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15AgoA/3/m+LN4AsoSIG6xsrDA94+9QFIr0RUNWeVSnWM2
r8R9AQC62Yi3BffgcTdSDSl8IPwUTyv+8v2eCOjTQdkSDtl9DQ==
=qNzY
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#41791; Package guix. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug unarchived. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 41791-done <at> debbugs.gnu.org:


Received: (at 41791-done) by debbugs.gnu.org; 12 Jun 2020 12:03:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 12 08:03:34 2020
Received: from localhost ([127.0.0.1]:38965 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jjiPG-0000v2-9b
	for submit <at> debbugs.gnu.org; Fri, 12 Jun 2020 08:03:34 -0400
Received: from tobias.gr ([80.241.217.52]:42664)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1jjiPE-0000ur-BD
 for 41791-done <at> debbugs.gnu.org; Fri, 12 Jun 2020 08:03:33 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id 633c5d3e;
 Fri, 12 Jun 2020 12:03:39 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to:cc
 :subject:references:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=2CmHRze4Nih8KkOOq7uvTN
 jjuzf/IqDowK4eitFc57s=; b=K6/SPOCYV+Q6jABVu+uxva7IEj6NTdBYqWUQtk
 O/yFDIT1jURLqXJzoa8e0IFedqDX1S/KTD6fEhwwIjxFwuUhnf/6MlUT9/+/zYSv
 9hO8ajD4LqXTU44xndpHNzYEIXlJAXvSVdaNeox2UQx9oLZbZ9eVLHv5n/qousTr
 uaV8vXNYvja1kaTc3Hp8dVVamLEHycdMgUclNOhKEWiHRj5nnsROwIrf+Y2H+ZER
 f6TKZ5nvIkyTSgI1V10ehGYCXwN3cAWE9QwhtxdYYBPXb4vnGi+dqBTRYLkmwkcO
 IK3EUcu22SYWB0xcndbminTE+KgCSx0rHQCP3nPzH8JxZS9w==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 74168421
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Fri, 12 Jun 2020 12:03:39 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#41791: [Shepherd] loses track of Tor
References: <87v9jzq76m.fsf@nckx> <87tuzh8d7a.fsf@HIDDEN>
In-reply-to: <87tuzh8d7a.fsf@HIDDEN>
Date: Fri, 12 Jun 2020 14:03:29 +0200
Message-ID: <87imfwtrse.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41791-done
Cc: 41791-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Ludovic Court=C3=A8s =E5=86=99=E9=81=93=EF=BC=9A
> Oops, this one is fixed by=20
> b6b95685d0b478698d648f13afd927b1e1700d99.

Impressive fanservice as always.

> The nginx issue may be different.  The Shepherd 0.8.0 included=20
> fixes
> that should help for multi-process services like nginx.  Let me=20
> know if
> it happens again.

I will.  It's possible that it hasn't happened since 0.8.0.

> Thanks for reporting the issue=E2=80=A6 and apologies for grumpily=20
> pushing you
> to do so on IRC.  It=E2=80=99s a positive outcome at any rate!

The day I get to berate anyone for being grumpy will be a strange=20
day in hell.

Thanks!

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQT12iAyS4c9C3o4dnINsP+IT1VteQUCXuNvEQAKCRANsP+IT1Vt
eSjtAQDf8HrQYiJexQfVXN6ZN0z7c9f651s+cFHXSCyExpZjzQD/XhHXEVTqlnV5
POOjtMwTN8S8wyjXmOiIBBlov18PFgg=
=0tYR
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#41791; Package guix. Full text available.

Message received at 41791-done <at> debbugs.gnu.org:


Received: (at 41791-done) by debbugs.gnu.org; 11 Jun 2020 22:12:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 11 18:12:16 2020
Received: from localhost ([127.0.0.1]:38322 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jjVQi-0003bR-Ec
	for submit <at> debbugs.gnu.org; Thu, 11 Jun 2020 18:12:16 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41832)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jjVQh-0003bG-0w
 for 41791-done <at> debbugs.gnu.org; Thu, 11 Jun 2020 18:12:11 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42200)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1jjVQb-00005J-QN; Thu, 11 Jun 2020 18:12:05 -0400
Received: from [2a01:e0a:1d:7270:6a6c:dc17:fc02:cfda] (port=52578 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jjVQS-0003qW-HS; Thu, 11 Jun 2020 18:12:05 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#41791: [Shepherd] loses track of Tor
References: <87v9jzq76m.fsf@nckx>
Date: Fri, 12 Jun 2020 00:11:53 +0200
In-Reply-To: <87v9jzq76m.fsf@nckx> (Tobias Geerinckx-Rice's message of "Wed,
 10 Jun 2020 17:20:01 +0200")
Message-ID: <87tuzh8d7a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41791-done
Cc: 41791-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Tobias,

Tobias Geerinckx-Rice <me@HIDDEN> skribis:

> ~ =CE=BB while :; do sudo herd restart tor; done
> Service tor is not running.
> Service tor has been started.
> Service tor has been stopped.
> Service tor could not be started.
> Service tor is not running.
> Service tor could not be started.
> ^C
> ~ =CE=BB pgrep tor
> 22926
> 23004

Oops, this one is fixed by b6b95685d0b478698d648f13afd927b1e1700d99.
It=E2=80=99s a regression introduced when switching to the Shepherd 0.8.1.

> This has (this year) happened to nginx in tight edit.conf/restart=20
> loops too, but I can't say if the two are at all related.

The nginx issue may be different.  The Shepherd 0.8.0 included fixes
that should help for multi-process services like nginx.  Let me know if
it happens again.

Thanks for reporting the issue=E2=80=A6 and apologies for grumpily pushing =
you
to do so on IRC.  It=E2=80=99s a positive outcome at any rate!

Ludo=E2=80=99.




Notification sent to Tobias Geerinckx-Rice <me@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.
Severity set to 'important' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Jun 2020 15:20:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 10 11:20:11 2020
Received: from localhost ([127.0.0.1]:35115 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jj2WR-00017r-LF
	for submit <at> debbugs.gnu.org; Wed, 10 Jun 2020 11:20:11 -0400
Received: from lists.gnu.org ([209.51.188.17]:47204)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1jj2WQ-00017k-AA
 for submit <at> debbugs.gnu.org; Wed, 10 Jun 2020 11:20:10 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:40102)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1jj2WP-0000z5-SI
 for bug-guix@HIDDEN; Wed, 10 Jun 2020 11:20:10 -0400
Received: from tobias.gr ([2a02:c205:2020:6054::1]:45350)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1jj2WO-0002UD-AY
 for bug-guix@HIDDEN; Wed, 10 Jun 2020 11:20:09 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id 411c8089
 for <bug-guix@HIDDEN>; Wed, 10 Jun 2020 15:20:11 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to
 :subject:date:message-id:mime-version:content-type; s=2018; i=
 me@HIDDEN; bh=/28TER5ikBR7zPLAOGLVV4Sx4DWHNYDOSDOLmnBCi6s=; b=
 grJUkVd6c+fmtM+iiwAGldTCYAogtcZJJqxfeZLEORDMjfOsIVhd9HEIGBr/RL8Y
 21X3a6MIKT/zAuCTApgk1zCkjIzepMxfGPLxiYmHUPu4oSn9yyrx7KqToezBhpoW
 /wMCVfVsWMssGsO5YkNIB/wyIcEdQ2jtsPl2qZ1+ijO4oOklMVIwKRhilqjIx8zz
 9J/dizJOr6nv241yGVAI89wO2umuo4VGrev2r9mgRNQenMsEE2CMUnccyS4fvEI+
 ag4qhT5T4wuf4aUNpLIw6u1cUzO1ZT/OADQrBHVtnxUbHxEekh+TWv2JXuMCSO9n
 xIUH1NzXOnxak00EWPUfTw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 1227893c
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO) for <bug-guix@HIDDEN>;
 Wed, 10 Jun 2020 15:20:11 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: bug-guix@HIDDEN
Subject: [Shepherd] loses track of Tor
Date: Wed, 10 Jun 2020 17:20:01 +0200
Message-ID: <87v9jzq76m.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

All,

=2D-8<---------------cut here---------------start------------->8---
~ =CE=BB while :; do sudo herd restart tor; done
Service tor is not running.
Service tor has been started.
Service tor has been stopped.
Service tor could not be started.
Service tor is not running.
Service tor could not be started.
^C
~ =CE=BB pgrep tor
22926
23004
=2D-8<---------------cut here---------------end--------------->8---

This has (this year) happened to nginx in tight edit.conf/restart=20
loops too, but I can't say if the two are at all related.

Here's the output of =E2=80=98herd status=E2=80=99 but it's not very useful=
 to me:

=2D-8<---------------cut here---------------start------------->8---
=CE=BB sudo herd status
Started:
 + dovecot
 + file-system-/dev/pts
 + file-system-/dev/shm
 + file-system-/gnu/store
 + file-systems
 + guix-daemon
 + loopback
 + mcron
 + networking
 + nginx
 + root
 + root-file-system
 + smtpd
 + ssh-daemon
 + syslogd
 + term-tty1
 + udev
 + urandom-seed
 + user-file-systems
 + user-processes
 + virtual-terminal
Stopped:
 - tor
One-shot:
 * host-name
 * user-homes
=2D-8<---------------cut here---------------end--------------->8---

He looks guilty:

=2D-8<---------------cut here---------------start------------->8---
=CE=BB sudo cat /var/run/tor/tor.pid
cat: /var/run/tor/tor.pid: No such file or directory
=2D-8<---------------cut here---------------end--------------->8---

From=20ps auxwww:

=2D-8<---------------cut here---------------start------------->8---
~ =CE=BB head -n6 /gnu/store/5ivhkbd0pzhnnmk38yn7cygcyd02kkk5-torrc
### These lines were generated from your system configuration:
User tor
DataDirectory /var/lib/tor
PidFile /var/run/tor/tor.pid
Log notice syslog
### End of automatically generated lines.
=2D-8<---------------cut here---------------end--------------->8---

No contradictory lines added.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQT12iAyS4c9C3o4dnINsP+IT1VteQUCXuD6IQAKCRANsP+IT1Vt
eQedAP9vnibaH14h2+oarcF0SSwPnB4FhrWINmEPy/nPFKGmbQEAnFneLqmT+2xH
XLqS9zVAT6F+S2VQjgoGzkZCEcXQAgY=
=rThD
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Tobias Geerinckx-Rice <me@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#41791; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 28 Nov 2021 12:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.